from PyQt5.QtWidgets import *
from joystick_simulation_node.controllers.components.generic_controller import GenericController
import math

class ButtonBoxController(GenericController):
    def __init__(self, joystick_name : str, index : int, num_buttons : int) -> None:
        super(ButtonBoxController, self).__init__(joystick_name, index, num_axes=0, num_buttons=num_buttons, num_povs=0)
        self.initUI()

    def initUI(self):
        self.grid_layout = QGridLayout(self)
        self.setLayout(self.grid_layout)

        index = 0
        for j in range(0, math.ceil(self.num_buttons / 4) + 1):
            for i in range(0, 3):
                button = QPushButton(str(index))
                button.pressed.connect(lambda i=index: self.press_button_box(i))
                button.released.connect(lambda i=index: self.release_button_box(i))
                self.grid_layout.addWidget(button, j, i)
                index += 1
                if index >= self.num_buttons:
                    break

    def press_button_box(self, i):
        self.controller_data.buttons[i] = 1

    def release_button_box(self, i):
        self.controller_data.buttons[i] = 0