from PyQt5 import QtWidgets


# https://stackoverflow.com/questions/52743155/how-to-make-qslider-unclickable

# Make the slider unable to be clicked in the track which erroneously created a persistent slider output even though these are meant to be temporary


class SliderUnclickable(QtWidgets.QSlider):
    def mousePressEvent(self, event):
        opt = QtWidgets.QStyleOptionSlider()
        self.initStyleOption(opt)
        pressedControl = self.style().hitTestComplexControl(QtWidgets.QStyle.CC_Slider, opt, event.pos(), self)
        if pressedControl != QtWidgets.QStyle.SC_SliderGroove:
            super(SliderUnclickable, self).mousePressEvent(event)